%global commit d730029f99ad1b67fa75f0baadbc161b1a82ade6

Name:           kweather 
Version:        21.05
Release:        1%{?dist}
License:        GPLv2+
Summary:        Convergent KDE weather application
Url:            https://invent.kde.org/plasma-mobile/kweather
Source0:        https://invent.kde.org/plasma-mobile/kweather/-/archive/release/%{version}/kweather-%{version}.tar.gz
               
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5QuickControls2)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5QuickCharts)
BuildRequires:  cmake(KF5KWeatherCore)

Requires:       kf5-kirigami2
Requires:       hicolor-icon-theme


%description
Weather application for Plasma Mobile

%prep
%autosetup -n %{name}-release-%{version}-%{commit}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
chmod -x %{buildroot}%{_datadir}/applications/org.kde.%{name}.desktop
sed -i 's/GPL-2+/GPL-2.0-or-later/g' %{buildroot}%{_datadir}/metainfo/org.kde.%{name}.appdata.xml

%check
appstreamcli validate --no-net %{buildroot}%{_datadir}/metainfo/org.kde.%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.kde.%{name}.desktop

%files
%license LICENSES/*.txt
%{_kf5_bindir}/%{name}
%{_kf5_datadir}/applications/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/dbus-1/services/org.kde.%{name}.service

%changelog
* Sat May 15 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 21.05-1
- initial version of package
